Package org.picocontainer.monitors

# Class ComponentMonitorHelper

java.lang.Object
org.picocontainer.monitors.ComponentMonitorHelper

public final class ComponentMonitorHelper extends Object
An abstract `ComponentMonitor` which supports all the message formats.

Author:
  Mauro Talevi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INSTANTIATED`
`static final String`
`INSTANTIATING`
`static final String`
`INSTANTIATION_FAILED`
`static final String`
`INVOCATION_FAILED`
`static final String`
`INVOKED`
`static final String`
`INVOKING`
`static final String`
`LIFECYCLE_INVOCATION_FAILED`
`static final String`
`NO_COMPONENT`

## Constructor Summary

Constructors
Constructor
Description
`ComponentMonitorHelper()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`ctorToString(Constructor constructor)`
`static String`
`format(String template, Object... arguments)`
`static String`
`memberToString(Member m)`
`static String`
`methodToString(Member member)`
`static String`
`parmsToString(Object[] injected)`
`static String`
`toString(Field field)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANTIATING

public static final String INSTANTIATING

See Also:
  - Constant Field Values

### INSTANTIATED

public static final String INSTANTIATED

See Also:
  - Constant Field Values

### INSTANTIATION_FAILED

public static final String INSTANTIATION_FAILED

See Also:
  - Constant Field Values

### INVOKING

public static final String INVOKING

See Also:
  - Constant Field Values

### INVOKED

public static final String INVOKED

See Also:
  - Constant Field Values

### INVOCATION_FAILED

public static final String INVOCATION_FAILED

See Also:
  - Constant Field Values

### LIFECYCLE_INVOCATION_FAILED

public static final String LIFECYCLE_INVOCATION_FAILED

See Also:
  - Constant Field Values

### NO_COMPONENT

public static final String NO_COMPONENT

See Also:
  - Constant Field Values

## Constructor Details

### ComponentMonitorHelper

public ComponentMonitorHelper()

## Method Details

### format

public static String format(String template, Object... arguments)

### parmsToString

public static String parmsToString(Object[] injected)

### ctorToString

public static String ctorToString(Constructor constructor)

### methodToString

public static String methodToString(Member member)

### memberToString

public static String memberToString(Member m)

### toString

public static String toString(Field field)